org.jfree.data.general

## Class SeriesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jfree.data.general.SeriesException

All Implemented Interfaces:
  java.io.Serializable

    public class SeriesException
    extends java.lang.RuntimeException
    implements java.io.Serializable

A general purpose exception class for data series.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SeriesException(java.lang.String message)` Constructs a new series exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SeriesException

    public SeriesException(java.lang.String message)

Constructs a new series exception.

Parameters:
  `message` - a message describing the exception.